Subject: Re: [PATCH v6 0/5] Microchip TCB Capture driver

From: Alexandre Belloni <[email-masked]>
Date: Wed, 15 Jul 2020 23:30:03 +0200

Hi Jonathan,

On 12/07/2020 14:35:34+0100, Jonathan Cameron wrote:
> On Mon,  6 Jul 2020 13:43:42 +0200
> Kamel Bouhara <[email-masked]> wrote:
> 
> > Hello,
> > 
> > Here is a new counter driver to support Microchip TCB capture devices.
> > 
> > Each SoC has two TCB blocks, each one including three independent
> > channels.The following series adds support for two counter modes:
> > increase and quadrature decoder.
> > 
> > As for the atmel clocksource and pwm, the counter driver needs to fill
> > some tcb capabilities in order to operate with the right configuration.
> > This is achieved in first patch of this series.
> > 
> > Please feel free to comment.
> 
> As far as I can see we have all the necessary acks etc and it looks
> good to me as well.
> 
> Shall I do an immutable branch with the whole lot or should we split it
> up?  Patches 1 and 5 need to go through the same tree, but bindings
> could go via another route.  I'm also fine if the whole lot goes
> via the appropriate soc tree if that is easier.
> 

I think the best would be an immutable branch as I have another series
that depends on the three preliminary patches that should go through the
clocksource/tip tree this cycle:

https://lore.kernel.org/linux-arm-kernel/[email-masked]/

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel